<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace = "com.fuzamei.mapperInterface.CarrierMapper">
	<!--承运商列表，带（账号）条件查询  -->
	<select id="queryCarriers"  resultType="com.fuzamei.entity.User">
	  select user_id,username,person_name,create_time,update_time from users  where role_id = 3
	  <if test="username!=null and username!='' ">
	    and username=#{username}
	  </if>
	</select>
	
	
	
</mapper>